%% GENEROV?N? OB?LEK A DOBY DOZVUKU
volbart=20
Tt=T*fs/10;
i_up = 13; % f=[5039.68419957949]
i_low = 7;% f=[99.2125657480125]
Fc=[25 31 40 50 62 80 100 125 160 200 250 315 400 500 630 800 1000 1250 1600 2000 2500 3150 4000 5000 6400 8000 10000 12000 16000 20015],

for k=i_up:-1:i_low
    eval(sprintf('radky=length(PRUBEHY_%dHz(:,1))', Fc(1,k)))
    eval(sprintf('delka_stopy=length(PRUBEHY_%dHz(1,:))', Fc(1,k)))
    eval(sprintf('OBALKY_%dHz=zeros(radky,delka_stopy)', Fc(1,k)))
    eval(sprintf('OBALKY_%dHz(:,:)=-100', Fc(1,k)))    

for i=1:1:radky
    [obalka] = genobalky (eval(sprintf('PRUBEHY_%dHz(i,:)', Fc(1,k))),Tt,fs);
    delkaobalky=length(obalka)
    eval(sprintf('OBALKY_%dHz(i,1:delkaobalky)=obalka',  Fc(1,k)))
    end
end
